Loading...
Searching...
No Matches
hueplusplus::Config Class Reference

Configurable delays. More...

`#include <hueplusplus/LibConfig.h>`

## Public Member Functions

duration | getPreAlertDelay () const
| Delay for advanced alerts before the actual alert.
duration | getPostAlertDelay () const
| Delay for advanced alerts after the actual alert.
duration | getUPnPTimeout () const
| Timeout for UPnP multicast request.
duration | getBridgeRequestDelay () const
| Delay between bridge requests.
duration | getRequestUsernameTimeout () const
| Timeout for Bridge::requestUsername, waits until link button was pressed.
duration | getRequestUsernameAttemptInterval () const
| Interval in which username requests are attempted.

## Static Public Member Functions

static Config & | instance ()
| Get config instance.

## Protected Member Functions

| Config ()=default

## Protected Attributes

duration | preAlertDelay = std::chrono::milliseconds(120)
duration | postAlertDelay = std::chrono::milliseconds(1600)
duration | upnpTimeout = std::chrono::seconds(5)
duration | bridgeRequestDelay = std::chrono::milliseconds(100)
duration | requestUsernameDelay = std::chrono::seconds(35)
duration | requestUsernameAttemptInterval = std::chrono::seconds(1)

## Detailed Description

Configurable delays.

Used to set all delays to zero when running tests.

## Constructor & Destructor Documentation

## Config()

hueplusplus::Config::Config | ( |  | ) |

protected default

## Member Function Documentation

## getBridgeRequestDelay()

duration hueplusplus::Config::getBridgeRequestDelay | ( |  | ) | const

inline

Delay between bridge requests.

## getPostAlertDelay()

duration hueplusplus::Config::getPostAlertDelay | ( |  | ) | const

inline

Delay for advanced alerts after the actual alert.

## getPreAlertDelay()

duration hueplusplus::Config::getPreAlertDelay | ( |  | ) | const

inline

Delay for advanced alerts before the actual alert.

## getRequestUsernameAttemptInterval()

duration hueplusplus::Config::getRequestUsernameAttemptInterval | ( |  | ) | const

inline

Interval in which username requests are attempted.

## getRequestUsernameTimeout()

duration hueplusplus::Config::getRequestUsernameTimeout | ( |  | ) | const

inline

Timeout for Bridge::requestUsername, waits until link button was pressed.

## getUPnPTimeout()

duration hueplusplus::Config::getUPnPTimeout | ( |  | ) | const

inline

Timeout for UPnP multicast request.

## instance()

static Config & hueplusplus::Config::instance | ( |  | ) |

inline static

Get config instance.

## Member Data Documentation

## bridgeRequestDelay

duration hueplusplus::Config::bridgeRequestDelay = std::chrono::milliseconds(100)

protected

## postAlertDelay

duration hueplusplus::Config::postAlertDelay = std::chrono::milliseconds(1600)

protected

## preAlertDelay

duration hueplusplus::Config::preAlertDelay = std::chrono::milliseconds(120)

protected

## requestUsernameAttemptInterval

duration hueplusplus::Config::requestUsernameAttemptInterval = std::chrono::seconds(1)

protected

## requestUsernameDelay

duration hueplusplus::Config::requestUsernameDelay = std::chrono::seconds(35)

protected

## upnpTimeout

duration hueplusplus::Config::upnpTimeout = std::chrono::seconds(5)

protected

The documentation for this class was generated from the following file:

- include/hueplusplus/LibConfig.h